[tool.poetry]
name = "tilemapper"
version = "0.1.0"
description = ""
authors = ["evilchili <evilchili@gmail.com>"]
readme = "README.md"

[tool.poetry.dependencies]
python = "^3.11"
typer = "^0.16.0"
pillow = "^11.3.0"


[tool.poetry.group.dev.dependencies]
pytest = "^8.4.1"
pytest-cov = "^6.2.1"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"


### SLAM

[tool.black]
line-length = 120
target-version = ['py310']

[tool.isort]
multi_line_output = 3
line_length = 120
include_trailing_comma = true

[tool.autoflake]
check = false                        # return error code if changes are needed
in-place = true                      # make changes to files instead of printing diffs
recursive = true                     # drill down directories recursively
remove-all-unused-imports = true     # remove all unused imports (not just those from the standard library)
ignore-init-module-imports = true    # exclude __init__.py when removing unused imports
remove-duplicate-keys = true         # remove all duplicate keys in objects
remove-unused-variables = true       # remove unused variables

[tool.pytest.ini_options]
log_cli_level = "DEBUG"
addopts = "--cov=src --cov-report=term-missing"

### ENDSLAM


[tool.poetry.scripts]
mapper = "tilemapper.cli:app"
